import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Outputs "hello, world" in XHTML.
 *
 * @author  Computer Science E-259
 *
 * @throws IOException, ServletException
 */

public class Hello extends HttpServlet {

    public void doGet(HttpServletRequest request, 
                      HttpServletResponse response)
    throws IOException, ServletException
    {
        // output XHTML
        response.setContentType("text/html");

        // grab PrintWriter
        PrintWriter out = response.getWriter();

        // output "hello, world" in XHTML
        out.println("<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>");
        out.println("<!DOCTYPE html PUBLIC " +
         "\"-//W3C//DTD XHTML 1.0 Transitional//EN\" " +
         " \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
        out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\" " +
         "xml:lang=\"en\" lang=\"en\">");
        out.println("<body>");
        out.println("\t<head>");
        out.println("\t\t<title>Hello World!</title>");
        out.println("\t</head>");
        out.println("\t<body>");
        out.println("\t\thello, world");
        out.println("\t</body>");
        out.println("</html>");
    }
}
